#!/bin/bash
set -x


BIN="ddns-namesilo"


CGO_ENABLED=0 GOOS=linux GOARCH=arm64 go build -o ${BIN}-linux-arm64 -a -ldflags '-extldflags "-static"' && upx -9 ${BIN}-linux-arm64
CGO_ENABLED=0 GOOS=linux GOARCH=amd64 go build -o ${BIN}-linux-amd64 -a -ldflags '-extldflags "-static"' && upx -9 ${BIN}-linux-amd64


# Xiaomi Mi Router AC2100
# MediaTek MT7621 ver:1 eco:3
# ramips/mt7621
CGO_ENABLED=0 GOOS=linux GOARCH=mipsle GOMIPS=softfloat go build -o ${BIN}-linux-softfloat-mipsle -a -ldflags '-extldflags "-static"' && upx -9 ${BIN}-linux-softfloat-mipsle
